const getGQL = url =>
    async (query, variables = {}) => {
        let obj = await fetch(url, {
            method: 'POST',
            headers: {
                "Content-Type": "application/json",
                Authorization: localStorage.authToken ? 'Bearer ' + localStorage.authToken : {},
            },
            body: JSON.stringify({ query, variables })
        })
        let a = await obj.json()
        if (!a.data && a.errors)
            throw new Error(JSON.stringify(a.errors))
        return a.data[Object.keys(a.data)[0]]
    }
    
/*const getGQL =
  (url) =>
  (query, variables = {}) =>
    fetch(url, {
      method: "POST",
      headers: {
        //Accept: "application/json",
        "Content-Type": "application/json",
        ...(localStorage.authToken
          ? { Authorization: "Bearer " + localStorage.authToken }
          : {}),
      },
      body: JSON.stringify({ query, variables }),
    }).then((res) => res.json());*/

const backURL = 'http://snippet.asmer.fs.a-level.com.ua';
export const gql = getGQL(backURL + '/graphql')

/*console.log(getGQL);
export const gql = getGQL("/graphql");*/