import promiseReducer from "./promiseReducer";
import authReducer from "./authReducer";
import {createStore, combineReducers, applyMiddleware} from "redux";
import thunk from "redux-thunk";
import { actionFindUser } from "../actions/actionFindUser";


// function promiseReducer(state = {}, { type, status, payload, error, name }) {
//     if (type === 'PROMISE') {
//         return {
//             ...state,
//             [name]: { status, payload, error }
//         }
//     }
//     return state;
// }


export const store = createStore(
	combineReducers({promise: promiseReducer, auth: authReducer}),
	applyMiddleware(thunk)
);

store.subscribe(() => console.log("result here", store.getState()));

if (localStorage.authToken) {
  	store.dispatch(actionFindUser());
}